#include <stdio.h>
#include <math.h>
#include <stdlib.h>

int main(void){
  int n, b=0, s=0;
  int v=0;
  int x, y;
  scanf("%d", &n);
  int tabla[n][n]; 
  for(int i=0;i<n;i++){
    scanf("%d %d", &x, &y);
    tabla[x-1][y-1]=1;
  }
  for(int j=0;j<n;j++){
    b=0;
    for(int k=0;k<n;k++){
      if (tabla[j][k]!=1) {tabla[j][k]=0;
      b++;}
    }
    if (b==n-1) s++;
  }
  if (s==n) printf("%d", 0);
  return 0;
}